<?xml version="1.0" encoding="utf-8"?>
<!--    <root-path/> ：代表设备的根目录new File("/")
        <files-path/> : 代表context.getFilesDir()
        <cache-path/> : 代表context.getCacheDir()
        <external-path/> : 代表Environment.getExternalStorageDirectory()
        <external-files-path/> : 代表context.getExternalFilesDirs()
        <external-cache-path/> : 代表getExternalCacheDirs()   -->
<!--代表外部存储区域的根目录下的文件 Environment.getExternalStorageDirectory()/DCIM/camerademo目录-->
<!--/storage/emulated/0/DCIM/camerademo-->
<!--<external-path-->
<!--    name="hm_DCIM"-->
<!--    path="DCIM/camerademo" />-->

<!--代表app 私有的存储区域 Context.getFilesDir()目录下的images目录-->
<!--/data/user/0/com.hm.camerademo/files/images-->
<!--<files-path-->
<!--name="hm_private_files"-->
<!--path="images" />-->

<!-- 代表app 私有的存储区域 Context.getCacheDir()目录下的images目录 -->
<!--/data/user/0/com.hm.camerademo/cache/images-->
<!--<cache-path-->
<!--name="hm_private_cache"-->
<!--path="images" />-->

<!--代表app外部存储区域根目录下的文件 Context.getExternalFilesDir(Environment.DIRECTORY_PICTURES)目录下的Pictures目录-->
<!--/storage/emulated/0/Android/data/com.hm.camerademo/files/Pictures-->
<!--<external-files-path-->
<!--name="hm_external_files"-->
<!--path="Pictures" />-->

<!--代表app 外部存储区域根目录下的文件 Context.getExternalCacheDir目录下的images目录-->
<!--/storage/emulated/0/Android/data/com.hm.camerademo/cache/images-->
<!--<external-cache-path-->
<!--name="hm_external_cache"-->
<!--path="images" />-->

<paths xmlns:android="http://schemas.android.com/apk/res/android">
    <root-path
        name="root"
        path="" />
    <files-path
        name="files"
        path="images" />

    <cache-path
        name="cache"
        path="" />

    <external-path
        name="external"
        path="image" />

    <external-files-path
        name="external_file_path"
        path="" />
    <external-cache-path
        name="external_cache_path"
        path="" />
</paths>
